ModelViewClosedException (Gradle API 2.14.1)

org.gradle.model

## Class ModelViewClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.model.ReadOnlyModelViewException
          - - org.gradle.model.ModelViewClosedException

- All Implemented Interfaces:
    Serializable

      @Incubating
      public class ModelViewClosedException
      extends ReadOnlyModelViewException

  Thrown when at attempt is made to mutate a subject of a rule after the rule has completed.

  This can potentially happen when a reference to the subject is retained during a rule and then used afterwards, Such as when an anonymous inner class or closure “closes over” the subject.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelViewClosedException(org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`

  - ### Method Summary

    - ### Methods inherited from class org.gradle.model.ReadOnlyModelViewException

      `createMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelViewClosedException

          public ModelViewClosedException(org.gradle.model.internal.core.ModelPath path,
                                  org.gradle.model.internal.type.ModelType<?> type,
                                  org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)